from django.db import models
from manager import SafeManager

class SafeModel(models.Model):
    objects = SafeManager(check_perm=False)
    safe_objects = SafeManager()
    
    class Meta:
        abstract = True